import java.applet.Applet;
import java.awt.Button;
import java.awt.Component;
import java.awt.Event;
import java.awt.Font;
import java.awt.Frame;
import java.awt.Window;

class OurFrame extends Frame {
   private AutoDialog m_autodialog;
   private Applet m_parent;
   private DialogData m_data;

   public OurFrame(Applet parent) {
      super("Auto Dialog");
      this.m_parent = parent;
      ((Component)this).setFont(new Font("Arial", 0, 12));
      this.m_autodialog = new AutoDialog(this);
      this.m_autodialog.CreateControls();
      ((Window)this).show();
   }

   public DialogData getData() {
      return this.m_data;
   }

   public boolean action(Event event, Object obj) {
      Object target = event.target;
      if (target instanceof Button) {
         Button button = (Button)target;
         String buttonLabel = button.getLabel();
         if (buttonLabel.compareTo("OK") == 0) {
            String sFirstName = this.m_autodialog.IDC_EDIT1.getText();
            String sLastName = this.m_autodialog.IDC_EDIT2.getText();
            boolean bMarried = this.m_autodialog.IDC_CHECK1.getState();
            this.m_data = new DialogData(sFirstName, sLastName, bMarried);
            this.m_parent.repaint();
         }

         ((Component)this).hide();
         return true;
      } else {
         return false;
      }
   }
}
